<template>
  <div class="main bg-black voting-detail-section" :class="{'mobile': isMobile()}">
    <h1 class="title">{{ title }}</h1>
    <h3 class="voting-item-title">[High Definition, Latest] Boys' Idol World Cupxxx</h3>
    <a-table v-if="isMobile()"  :columns="columns1" :data-source="items" :pagination="false" class="table-data-mobile">
      <span slot="avatar">
        <div class="wrap-avatar">
          <div class="wrap-image square">
            <img src="img/voting2.jpg"/>
          </div>
        </div>
      </span>
      <span slot="ranking" slot-scope="ranking">{{ ranking }}</span>
      <span slot="name" slot-scope="name">{{ name }}</span>
      <span slot="date" slot-scope="date">{{ date }}</span>
      <span slot="ratio" slot-scope="ratio"><a-progress :percent="ratio" /></span>
      <span slot="vote" slot-scope="vote">{{ vote }}</span>
    </a-table>
    <a-table v-if="!isMobile()"  :columns="columns" :data-source="items" :pagination="false">
      <span slot="avatar">
        <div class="wrap-avatar">
          <div class="wrap-image square">
            <img src="img/voting2.jpg"/>
          </div>
        </div>
      </span>
      <span slot="ranking" slot-scope="ranking"><strong>{{ ranking }}</strong></span>
      <span slot="name" slot-scope="name">{{ name }}</span>
      <span slot="date" slot-scope="date">{{ date }}</span>
      <span slot="ratio" slot-scope="ratio"><a-progress :percent="ratio" /></span>
      <span slot="vote" slot-scope="vote">{{ vote }}</span>
      <span slot="action" slot-scope="vote"><a-icon type="dash" /></span>
    </a-table>
  </div>
</template>

<script>
const columns = [
  {
    title: '',
    dataIndex: 'avatar',
    scopedSlots: { customRender: 'avatar' },
    width: 100
  },
  {
    title: 'Ranking',
    dataIndex: 'ranking',
    scopedSlots: { customRender: 'ranking' },
    width: 150
  },
  {
    title: '#Name',
    dataIndex: 'name',
    scopedSlots: { customRender: 'name' },

  },
  {
    title: '#Win ratio',
    dataIndex: 'ratio',
    scopedSlots: { customRender: 'ratio' },
    width: 300

  },
  {
    title: '#Vote',
    dataIndex: 'vote',
    scopedSlots: { customRender: 'vote' },
    width: 100
  },
  {
    title: '',
    dataIndex: 'action',
    scopedSlots: { customRender: 'action' },
    width: 100
  }
];

const columns1 = [
  {
    title: '',
    dataIndex: 'avatar',
    scopedSlots: { customRender: 'avatar' },
  },
  {
    title: 'Ranking',
    dataIndex: 'ranking',
    scopedSlots: { customRender: 'ranking' },
  },
  {
    title: '#Name',
    dataIndex: 'name',
    scopedSlots: { customRender: 'name' },

  },
  {
    title: '#Win ratio',
    dataIndex: 'ratio',
    scopedSlots: { customRender: 'ratio' },

  },
  {
    title: '#Vote',
    dataIndex: 'vote',
    scopedSlots: { customRender: 'vote' },
  }
];

const items = [
  {
    id: 1,
    avatar: "Despacito",
    ranking: "01",
    name: "Luis Fonsi",
    ratio: 97,
    vote: 123456,
    key: 1
  },
  {
    id:2,
    avatar: "Despacito",
    ranking: "02",
    name: "Luis Fonsi",
    ratio: 95,
    vote: 123456,
    key: 2
  },{
    id: 3,
    avatar: "Despacito",
    ranking: "03",
    name: "Luis Fonsi",
    ratio: 93,
    vote: 123456,
    key: 3
  }
  ,{
    id: 4,
    avatar: "Despacito",
    ranking: "04",
    name: "Luis Fonsi",
    ratio: 92,
    vote: 123456,
    key: 4
  },
  {
    id: 5,
    avatar: "Despacito",
    ranking: "05",
    name: "Luis Fonsi",
    ratio: 90,
    vote: 123456,
    key: 5
  },
  {
    id: 6,
    avatar: "Despacito",
    ranking: "06",
    name: "Luis Fonsi",
    ratio: 89,
    vote: 123456,
    key: 6
  },{
    id: 7,
    avatar: "Despacito",
    ranking: "07",
    name: "Luis Fonsi",
    ratio: 85,
    vote: 123456,
    key: 7
  }
  ,{
    id: 8,
    avatar: "Despacito",
    ranking: "08",
    name: "Luis Fonsi",
    ratio: 82,
    vote: 123456,
    key: 8
  },
  {
    id: 9,
    avatar: "Despacito",
    ranking: "09",
    name: "Luis Fonsi",
    ratio: 80,
    vote: 123456,
    key: 9
  },
  {
    id: 10,
    avatar: "Despacito",
    ranking: "10",
    name: "Luis Fonsi",
    ratio: 70,
    vote: 123456,
    key: 10
  },{
    id: 11,
    avatar: "Despacito",
    ranking: "11",
    name: "Luis Fonsi",
    ratio: 60,
    vote: 123456,
    key: 11
  }
  ,{
    id: 12,
    avatar: "Despacito",
    ranking: "12",
    name: "Luis Fonsi",
    ratio: 50,
    vote: 123456,
    key: 12
  }
]


export default {
  data() {
    return {
      title: 'Voting games',
      items: items,
      columns: columns,
      columns1: columns1
    }
  },

  methods: {
    isMobile() {
      if (/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)) {
        return true
      } else {
        return false
      }
    },
  }
}

</script>

<style scoped>
@import "../../src/css/default.css";

.title {
  margin-bottom: 0;
}

.voting-item-title {
  color: white;
  margin-bottom: 0.4em;
}
.wrap-avatar{
  width: 60px;
}

/deep/.ant-table-tbody > tr:not(.ant-table-expanded-row):not(.ant-table-row-selected) > td:first-child{
  padding: 5px 0!important;
}
/deep/.ant-table-tbody > tr > td,/deep/.ant-table-thead > tr > th{
  border-bottom: solid 7px black!important;
  background-color: #2B2B2B;
}
/deep/.ant-progress-success-bg, /deep/.ant-progress-bg{
  background-color: #1DB954;
}

/* Mobile Style */
.mobile .title {
  font-weight: 500;
  font-size: 18px;
  color: #FFFFFF;
}
.mobile .voting-item-title {
  font-weight: 300;
  font-size: 12px;
  color: #F1F1F1;
  margin-bottom: 30px;
}
.mobile .table-data-mobile {
  margin-bottom: 50px;
}
.mobile .table-data-mobile >>> .ant-table-body {
  max-width: 100%;
  overflow-x: scroll;
}
.mobile .table-data-mobile >>> th {
  white-space: nowrap;
}
</style>